## ros-indigo-rosjava-build-tools 0.2.4

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rosjava_build_tools)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS rosjava.cmake)

catkin_python_setup()
catkin_add_env_hooks(15.rosjava SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
catkin_add_env_hooks(15.rosjava SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

##############################################################################
# Project Settings
##############################################################################

# Have to install gradle here so we can retain executable permissions
# If we do via setup.py with the data subsection, it loses permissions
install(
    PROGRAMS src/rosjava_build_tools/gradle/gradlew
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/gradle
    )

install(
    DIRECTORY src/rosjava_build_tools/gradle/gradle
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/gradle
  )

install(
    PROGRAMS generate_environment_variables.py
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )

install(
    FILES LICENSE
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )

set(ROS_MAVEN_DEPLOYMENT_REPOSITORY $ENV{ROS_MAVEN_DEPLOYMENT_REPOSITORY})
if(NOT ROS_MAVEN_DEPLOYMENT_REPOSITORY)
    set(ROS_MAVEN_DEPLOYMENT_REPOSITORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_SHARE_DESTINATION}/maven")
endif()
file(WRITE ${ROS_MAVEN_DEPLOYMENT_REPOSITORY}/rospack_nosubdirs "")
install(FILES ${ROS_MAVEN_DEPLOYMENT_REPOSITORY}/rospack_nosubdirs
        DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/maven)

=== debian/changelog ===
ros-indigo-rosjava-build-tools (0.2.4-0trusty) trusty; urgency=high

  * bugfix environment hooks for workspaces with spaces.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 02 Jun 2015 15:00:00 -0000

ros-indigo-rosjava-build-tools (0.2.3-0trusty) trusty; urgency=high

  * publically expose the rosjava environment setup (for genjava).
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 28 Feb 2015 15:00:00 -0000

ros-indigo-rosjava-build-tools (0.2.2-0trusty) trusty; urgency=high

  * support for finding broken message packages.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Feb 2015 15:00:00 -0000

ros-indigo-rosjava-build-tools (0.2.1-0trusty) trusty; urgency=high

  * upgrade catkin create scripts for indigo
  * support modules for genjava
  * deprecated create msg package scripts
  * minor bugfixes and improvements.
  * Contributors: Benjamin Chrétien, Daniel Stonier, Martin Pecka

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Feb 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosjava-build-tools
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ant, default-jdk, ros-indigo-catkin
Homepage: http://ros.org/wiki/rosjava_build_tools
Standards-Version: 3.9.2

Package: ros-indigo-rosjava-build-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ant, default-jdk, ros-indigo-catkin
Description: Simple tools and catkin modules for rosjava development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosjava-build-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
